[evolvis-commits] r17560: [#2021] Use /usr/share/gforge/bin/user-del.php for Univention slaving

mirabilos at evolvis.org mirabilos at evolvis.org
Tue Sep 20 11:51:37 CEST 2011


Author: mirabilos
Date: 2011-09-20 11:51:36 +0200 (Tue, 20 Sep 2011)
New Revision: 17560

Modified:
   branches/ev48fixes/debian/changelog
   branches/ev48fixes/univention/ldap2psql.sh
Log:
[#2021] Use /usr/share/gforge/bin/user-del.php for Univention slaving


Modified: branches/ev48fixes/debian/changelog
===================================================================
--- branches/ev48fixes/debian/changelog	2011-09-20 09:45:31 UTC (rev 17559)
+++ branches/ev48fixes/debian/changelog	2011-09-20 09:51:36 UTC (rev 17560)
@@ -4,11 +4,12 @@
   * [TTID# 1118041] Fixup permissions on /svnroot/*/db/ hourly (g+w)
   * [#2021] New /usr/share/gforge/bin/user-del.php utility
   * Ensure minimum or exact version matches for Evolvis metapackage
+  * [#2021] Use /usr/share/gforge/bin/user-del.php for Univention slaving
 
   [ Patrick Apel ]
   * Fix XHTML validity in the German translation
 
- -- Thorsten Glaser <t.glaser at tarent.de>  Tue, 20 Sep 2011 11:45:03 +0200
+ -- Thorsten Glaser <t.glaser at tarent.de>  Tue, 20 Sep 2011 11:51:11 +0200
 
 gforge (4.8.3+evolvis36+fixes2) unstable; urgency=low
 

Modified: branches/ev48fixes/univention/ldap2psql.sh
===================================================================
--- branches/ev48fixes/univention/ldap2psql.sh	2011-09-20 09:45:31 UTC (rev 17559)
+++ branches/ev48fixes/univention/ldap2psql.sh	2011-09-20 09:51:36 UTC (rev 17560)
@@ -1,6 +1,7 @@
 #!/bin/mksh
+# $Id$
 #-
-# Copyright © 2009, 2010
+# Copyright © 2009, 2010, 2011
 #	Thorsten Glaser <t.glaser at tarent.de>
 #
 # Provided that these terms and disclaimer and all copyright notices
@@ -79,6 +80,12 @@
 	if (( taction == 2 )); then
 		# delete
 		cmd="$cmd, status='D'"
+		# but also ask the system to do it
+		(
+			echo "+++ trying to forge-delete '$uid'"
+			/usr/share/gforge/bin/user-del.php "$uid" "$uid"
+			echo "=== $?"
+		) | logger -t "evolvis-ldap2psql:user=$uid"
 	else
 		# modify
 		cmd="$cmd, status='A'"


Property changes on: branches/ev48fixes/univention/ldap2psql.sh
___________________________________________________________________
Added: svn:keywords
   + Author CVSHeader Date Id LastChangedBy LastChangedDate LastChangedRevision Log Revision Source State



More information about the evolvis-commits mailing list